
# Interface: ICanvasDefinitionChangeMockup

Provides properties to change mockups.

For details, you can refer to the [ChangeMockup command](https://customerscanvas.com/dev/sdks/ui-framework/widgets/design-editor-commands/change-mockup.html).
```
{
  "type": "canvas",
  "name": "editor",
  "params": {
    "initial": { ... },
    "changeMockup": [{
      "data": {
        "mockup": {
          "down": "{{$['color']._.props.mockup}}"
        },
        "previewMockups": "{{$['color']._.props.previews}}"
      }
    }]
  }
}
```

## Hierarchy

* [ICanvasCommandDefinition](icanvascommanddefinition.md)

  ↳ **ICanvasDefinitionChangeMockup**

## Index

### Properties

* [after](icanvasdefinitionchangemockup.md#optional-after)
* [data](icanvasdefinitionchangemockup.md#data)
* [options](icanvasdefinitionchangemockup.md#options)

## Properties

### `Optional` after

• **after**? : *string | string[]*

*Inherited from [ICanvasCommandDefinition](icanvascommanddefinition.md).[after](icanvascommanddefinition.md#optional-after)*

The next commands to be executed after this command completes.

___

###  data

• **data**: *CustomersCanvas.IframeApi.ObjectModel.IMockupData[]*

[Mockup settings](https://customerscanvas.com/dev/sdks/design-editor-js/reference/IframeApi/IMockupData.html).

___

###  options

• **options**: *object*

#### Type declaration:

* **addToHistory**: *boolean*

* **updateRevertData**: *boolean*
